Summary: 	Qt based patchbay for Jack
Name: 		qjackconnect
Version: 	0.0.3b
Release: 	6mdk
License:	GPL
Group: 		Sound
URL:		http://www.suse.de/~mana/jack.html
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	jackit >= 0.44.0
BuildRequires:	jackit-devel >= 0.44.0, libalsa-devel qt3-devel

%description
A Qt based patchbay for Jack (the Jack Audio Connection Kit)

%prep
%setup -q

%build
make -f make_qjackconnect

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 qjackconnect $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): \
icon="sound_section.png" \
needs="x11" \
section="Multimedia/Sound" \
title="Qjackconnect" \
longtitle="Qt-based Jackit Connector" \
command="%{_bindir}/%{name}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE
%{_bindir}/*
%{_menudir}/%{name}

%changelog
* Tue Sep 06 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-6mdk
- annual rebuild

* Sat Jun 19 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-5mdk
- rebuild

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 0.0.3b-4mdk
- add icon

* Fri Apr 25 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-3mdk
- Buildrequire libqt3-devel (thx slbd) - that's a really stupid one!

* Thu Jan 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-2mdk
- thac->contrib
- misc fixes
- buildrequires libalsa-devel, don't buildrequires jackit
- add menu entry

* Sat Jan 11 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.3b-1mdk
- update to 0.0.3b
- Recompiled for Mandrake 9.0

* Wed Dec 04 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- update to 0.0.3

* Mon Nov 11 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- initial build
